View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021507Lazarus-public2012-03-18 23:012012-05-07 17:30
Reporterjshand2010 
Assigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9.31 (SVN)Product Buildlatest build 
Target VersionFixed in Version 
Summary0021507: TMySql55 - no palette button to select MySql55 verion
Descriptionin the palette there doesn't seem to be a button to click in regards to the mysql 5.5 version. it still has mysql5.1.

thanks guys
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Filesdiff file icon mysql55.diff [^] (6,920 bytes) 2012-05-05 19:52 [Show Content]
png file icon tmysql55connection.png [^] (1,440 bytes) 2012-05-05 19:53


diff file icon mysql55_1.diff [^] (6,475 bytes) 2012-05-06 13:31 [Show Content]
png file icon tmysql55connection_1.png [^] (1,305 bytes) 2012-05-06 13:31

- Relationships
related to 0022033closedMaxim Ganetsky Patches Forgotten to commit tmysql55connection.png 

-  Notes
(0057828)
Vincent Snijders (manager)
2012-03-19 08:24

Are you aware that MySql 5.5 support is available only in fpc 2.7.1 after 17 March 2012?
(0059268)
theo (reporter)
2012-05-05 19:53

Patch attached.
(0059303)
theo (reporter)
2012-05-06 13:34

Fixed FPC_FULLVERSION (misconception about its meaning).
Tested with FPC 2.7.1 and FPC 2.6.0
Improved Icon.
Please use mysql55_1.diff and tmysql55connection_1.png
(0059311)
Marco van de Voort (manager)
2012-05-06 16:40

mysql 5.5 was merged back to 2.6.1 about two weeks ago. Please test the patch first with a recent 2.6.1 to see if it works.
(0059313)
theo (reporter)
2012-05-06 17:19

@Marco: I'm not going to install a 3rd compiler for this.
It's too simple (see below). The icon is the most complicated thing. ;-)
Please tell me the minimal FPC_FULLVERSION which suppports mysql55, and I'm going to change it. I assume it would be 20601 ?

----------------------------------------------

+{$IF FPC_FULLVERSION>= 20701}
+{$DEFINE HASMYSQL55CONNECTION}
+{$ENDIF}
+
 {$IF FPC_FULLVERSION>= 20601}
 {$IF DEFINED(BEOS) OR DEFINED(HAIKU) OR DEFINED(LINUX) OR DEFINED(FREEBSD) OR DEFINED (NETBSD) OR DEFINED(OPENBSD) OR DEFINED(WIN32) OR DEFINED(WIN64)}
 // MS SQL Server and Sybase ASE connectors were introduced in the FPC 2.7 development branch, and
@@ -64,6 +68,9 @@
 {$IFDEF HASMYSQL51CONNECTION}
   mysql51conn,
 {$ENDIF}
+{$IFDEF HASMYSQL55CONNECTION}
+ mysql55conn,
+{$ENDIF}
 {$IFDEF HASSQLITE3CONNECTION}
   sqlite3conn,
 {$ENDIF}
@@ -159,6 +166,9 @@
 {$IFDEF HASMYSQL51CONNECTION}
                               TMySQL51Connection,
 {$ENDIF}
+{$IFDEF HASMYSQL55CONNECTION}
+ TMySQL55Connection,
+{$ENDIF}
 {$IFDEF HASSQLITE3CONNECTION}
                               TSQLite3Connection,
 {$ENDIF}
(0059357)
Mattias Gaertner (manager)
2012-05-07 17:30

I added it with {$IF FPC_FULLVERSION>= 20601}

- Issue History
Date Modified Username Field Change
2012-03-18 23:01 jshand2010 New Issue
2012-03-19 08:24 Vincent Snijders Note Added: 0057828
2012-03-19 08:25 Vincent Snijders Status new => assigned
2012-03-19 08:25 Vincent Snijders Assigned To => Vincent Snijders
2012-05-05 19:52 theo File Added: mysql55.diff
2012-05-05 19:53 theo File Added: tmysql55connection.png
2012-05-05 19:53 theo Note Added: 0059268
2012-05-06 13:31 theo File Added: mysql55_1.diff
2012-05-06 13:31 theo File Added: tmysql55connection_1.png
2012-05-06 13:34 theo Note Added: 0059303
2012-05-06 16:40 Marco van de Voort Note Added: 0059311
2012-05-06 17:19 theo Note Added: 0059313
2012-05-07 17:30 Mattias Gaertner LazTarget => -
2012-05-07 17:30 Mattias Gaertner Note Added: 0059357
2012-05-07 17:30 Mattias Gaertner Status assigned => resolved
2012-05-07 17:30 Mattias Gaertner Resolution open => fixed
2012-05-14 19:39 Juha Manninen Relationship added related to 0022033



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker